"""
(c) 2024 LLC «DACOM M»

Скрипт выполняется только при запуске сервиса sbd
Проверяется наличие дебаг опции в конфигурации сервиса sbd перед запуском и создет флаг файл
Наличие флага отображает, запущен сервис с ключем дебага или нет в veilrpc.states.cluster.gfs2debug_status
"""

from veilrpc.states.cluster import is_gfs2debug_enabled
from os import remove

FLAG = '/etc/sbd_debug'


def make_debug_gfs2_flag():
    try:
        if is_gfs2debug_enabled():
            open(FLAG, 'w').close()
        else:
            remove(FLAG)
    except FileNotFoundError:
        pass


if __name__ == "__main__":
    make_debug_gfs2_flag()
